package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.QuoteMaterialType;
import org.apache.ibatis.annotations.Param;

/**
 * 项目报价--物料分类Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface QuoteMaterialTypeMapper 
{
    /**
     * 查询项目报价--物料分类
     * 
     * @param id 项目报价--物料分类主键
     * @return 项目报价--物料分类
     */
    public QuoteMaterialType selectQuoteMaterialTypeById(Long id);


    public String selecttypesByIds(@Param("ids") List<String> ids);
    /**
     * 查询项目报价--物料分类列表
     * 
     * @param quoteMaterialType 项目报价--物料分类
     * @return 项目报价--物料分类集合
     */
    public List<QuoteMaterialType> selectQuoteMaterialTypeList(QuoteMaterialType quoteMaterialType);

    /**
     * 新增项目报价--物料分类
     * 
     * @param quoteMaterialType 项目报价--物料分类
     * @return 结果
     */
    public int insertQuoteMaterialType(QuoteMaterialType quoteMaterialType);

    /**
     * 修改项目报价--物料分类
     * 
     * @param quoteMaterialType 项目报价--物料分类
     * @return 结果
     */
    public int updateQuoteMaterialType(QuoteMaterialType quoteMaterialType);

    /**
     * 删除项目报价--物料分类
     * 
     * @param id 项目报价--物料分类主键
     * @return 结果
     */
    public int deleteQuoteMaterialTypeById(Long id);

    /**
     * 批量删除项目报价--物料分类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuoteMaterialTypeByIds(Long[] ids);
}
